package com.mortals.xhx.module.customer.model;

import java.util.List;
import com.mortals.xhx.module.customer.model.CustomerWorkDesignEntity;
/**
 * 客户作品信息查询对象
 *
 * @author zxfei
 * @date 2023-07-11
 */
public class CustomerWorkDesignQuery extends CustomerWorkDesignEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 客户ID */
    private Long customerIdStart;

    /** 结束 客户ID */
    private Long customerIdEnd;

    /** 增加 客户ID */
    private Long customerIdIncrement;

    /** 客户ID列表 */
    private List <Long> customerIdList;

    /** 客户ID排除列表 */
    private List <Long> customerIdNotList;

    /** 作品名称 */
    private List<String> workDesignNameList;

    /** 作品名称排除列表 */
    private List <String> workDesignNameNotList;
    /** 开始 作品状态：0:草稿，1:发布 */
    private Integer workDesignStatusStart;

    /** 结束 作品状态：0:草稿，1:发布 */
    private Integer workDesignStatusEnd;

    /** 增加 作品状态：0:草稿，1:发布 */
    private Integer workDesignStatusIncrement;

    /** 作品状态：0:草稿，1:发布列表 */
    private List <Integer> workDesignStatusList;

    /** 作品状态：0:草稿，1:发布排除列表 */
    private List <Integer> workDesignStatusNotList;

    /** 作品描述 */
    private List<String> workDesignDescList;

    /** 作品描述排除列表 */
    private List <String> workDesignDescNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 模版引用的图片 */
    private List<String> pictureIdsList;

    /** 模版引用的图片排除列表 */
    private List <String> pictureIdsNotList;
    /** 模版引用的素材 */
    private List<String> pictureSrcIdsList;

    /** 模版引用的素材排除列表 */
    private List <String> pictureSrcIdsNotList;
    /** 模版引用的背景 */
    private List<String> pictureBackgroundIdsList;

    /** 模版引用的背景排除列表 */
    private List <String> pictureBackgroundIdsNotList;
    /** 作品引用的字体 */
    private List<String> fontIdsList;

    /** 作品引用的字体排除列表 */
    private List <String> fontIdsNotList;
    /** 作品图片预览地址（相对地址） */
    private List<String> previewUrlList;

    /** 作品图片预览地址（相对地址）排除列表 */
    private List <String> previewUrlNotList;
    /** 设计草稿 */
    private List<String> draftList;

    /** 设计草稿排除列表 */
    private List <String> draftNotList;
    /** 开始 作品类型：1:图片，2:视频 */
    private Integer designTypeStart;

    /** 结束 作品类型：1:图片，2:视频 */
    private Integer designTypeEnd;

    /** 增加 作品类型：1:图片，2:视频 */
    private Integer designTypeIncrement;

    /** 作品类型：1:图片，2:视频列表 */
    private List <Integer> designTypeList;

    /** 作品类型：1:图片，2:视频排除列表 */
    private List <Integer> designTypeNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CustomerWorkDesignQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CustomerWorkDesignQuery> andConditionList;

    public CustomerWorkDesignQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 客户ID
     * @return customerIdStart
     */
    public Long getCustomerIdStart(){
        return this.customerIdStart;
    }

    /**
     * 设置 开始 客户ID
     * @param customerIdStart
     */
    public void setCustomerIdStart(Long customerIdStart){
        this.customerIdStart = customerIdStart;
    }

    /**
     * 获取 结束 客户ID
     * @return $customerIdEnd
     */
    public Long getCustomerIdEnd(){
        return this.customerIdEnd;
    }

    /**
     * 设置 结束 客户ID
     * @param customerIdEnd
     */
    public void setCustomerIdEnd(Long customerIdEnd){
        this.customerIdEnd = customerIdEnd;
    }

    /**
     * 获取 增加 客户ID
     * @return customerIdIncrement
     */
    public Long getCustomerIdIncrement(){
        return this.customerIdIncrement;
    }

    /**
     * 设置 增加 客户ID
     * @param customerIdIncrement
     */
    public void setCustomerIdIncrement(Long customerIdIncrement){
        this.customerIdIncrement = customerIdIncrement;
    }

    /**
     * 获取 客户ID
     * @return customerIdList
     */
    public List<Long> getCustomerIdList(){
        return this.customerIdList;
    }

    /**
     * 设置 客户ID
     * @param customerIdList
     */
    public void setCustomerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
    }

    /**
     * 获取 客户ID
     * @return customerIdNotList
     */
    public List<Long> getCustomerIdNotList(){
        return this.customerIdNotList;
    }

    /**
     * 设置 客户ID
     * @param customerIdNotList
     */
    public void setCustomerIdNotList(List<Long> customerIdNotList){
        this.customerIdNotList = customerIdNotList;
    }


    /**
     * 获取 作品名称
     * @return workDesignNameList
     */
    public List<String> getWorkDesignNameList(){
        return this.workDesignNameList;
    }

    /**
     * 设置 作品名称
     * @param workDesignNameList
     */
    public void setWorkDesignNameList(List<String> workDesignNameList){
        this.workDesignNameList = workDesignNameList;
    }

    /**
     * 获取 作品名称
     * @return workDesignNameNotList
     */
    public List<String> getWorkDesignNameNotList(){
        return this.workDesignNameNotList;
    }

    /**
     * 设置 作品名称
     * @param workDesignNameNotList
     */
    public void setWorkDesignNameNotList(List<String> workDesignNameNotList){
        this.workDesignNameNotList = workDesignNameNotList;
    }

    /**
     * 获取 开始 作品状态：0:草稿，1:发布
     * @return workDesignStatusStart
     */
    public Integer getWorkDesignStatusStart(){
        return this.workDesignStatusStart;
    }

    /**
     * 设置 开始 作品状态：0:草稿，1:发布
     * @param workDesignStatusStart
     */
    public void setWorkDesignStatusStart(Integer workDesignStatusStart){
        this.workDesignStatusStart = workDesignStatusStart;
    }

    /**
     * 获取 结束 作品状态：0:草稿，1:发布
     * @return $workDesignStatusEnd
     */
    public Integer getWorkDesignStatusEnd(){
        return this.workDesignStatusEnd;
    }

    /**
     * 设置 结束 作品状态：0:草稿，1:发布
     * @param workDesignStatusEnd
     */
    public void setWorkDesignStatusEnd(Integer workDesignStatusEnd){
        this.workDesignStatusEnd = workDesignStatusEnd;
    }

    /**
     * 获取 增加 作品状态：0:草稿，1:发布
     * @return workDesignStatusIncrement
     */
    public Integer getWorkDesignStatusIncrement(){
        return this.workDesignStatusIncrement;
    }

    /**
     * 设置 增加 作品状态：0:草稿，1:发布
     * @param workDesignStatusIncrement
     */
    public void setWorkDesignStatusIncrement(Integer workDesignStatusIncrement){
        this.workDesignStatusIncrement = workDesignStatusIncrement;
    }

    /**
     * 获取 作品状态：0:草稿，1:发布
     * @return workDesignStatusList
     */
    public List<Integer> getWorkDesignStatusList(){
        return this.workDesignStatusList;
    }

    /**
     * 设置 作品状态：0:草稿，1:发布
     * @param workDesignStatusList
     */
    public void setWorkDesignStatusList(List<Integer> workDesignStatusList){
        this.workDesignStatusList = workDesignStatusList;
    }

    /**
     * 获取 作品状态：0:草稿，1:发布
     * @return workDesignStatusNotList
     */
    public List<Integer> getWorkDesignStatusNotList(){
        return this.workDesignStatusNotList;
    }

    /**
     * 设置 作品状态：0:草稿，1:发布
     * @param workDesignStatusNotList
     */
    public void setWorkDesignStatusNotList(List<Integer> workDesignStatusNotList){
        this.workDesignStatusNotList = workDesignStatusNotList;
    }


    /**
     * 获取 作品描述
     * @return workDesignDescList
     */
    public List<String> getWorkDesignDescList(){
        return this.workDesignDescList;
    }

    /**
     * 设置 作品描述
     * @param workDesignDescList
     */
    public void setWorkDesignDescList(List<String> workDesignDescList){
        this.workDesignDescList = workDesignDescList;
    }

    /**
     * 获取 作品描述
     * @return workDesignDescNotList
     */
    public List<String> getWorkDesignDescNotList(){
        return this.workDesignDescNotList;
    }

    /**
     * 设置 作品描述
     * @param workDesignDescNotList
     */
    public void setWorkDesignDescNotList(List<String> workDesignDescNotList){
        this.workDesignDescNotList = workDesignDescNotList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 模版引用的图片
     * @return pictureIdsList
     */
    public List<String> getPictureIdsList(){
        return this.pictureIdsList;
    }

    /**
     * 设置 模版引用的图片
     * @param pictureIdsList
     */
    public void setPictureIdsList(List<String> pictureIdsList){
        this.pictureIdsList = pictureIdsList;
    }

    /**
     * 获取 模版引用的图片
     * @return pictureIdsNotList
     */
    public List<String> getPictureIdsNotList(){
        return this.pictureIdsNotList;
    }

    /**
     * 设置 模版引用的图片
     * @param pictureIdsNotList
     */
    public void setPictureIdsNotList(List<String> pictureIdsNotList){
        this.pictureIdsNotList = pictureIdsNotList;
    }

    /**
     * 获取 模版引用的素材
     * @return pictureSrcIdsList
     */
    public List<String> getPictureSrcIdsList(){
        return this.pictureSrcIdsList;
    }

    /**
     * 设置 模版引用的素材
     * @param pictureSrcIdsList
     */
    public void setPictureSrcIdsList(List<String> pictureSrcIdsList){
        this.pictureSrcIdsList = pictureSrcIdsList;
    }

    /**
     * 获取 模版引用的素材
     * @return pictureSrcIdsNotList
     */
    public List<String> getPictureSrcIdsNotList(){
        return this.pictureSrcIdsNotList;
    }

    /**
     * 设置 模版引用的素材
     * @param pictureSrcIdsNotList
     */
    public void setPictureSrcIdsNotList(List<String> pictureSrcIdsNotList){
        this.pictureSrcIdsNotList = pictureSrcIdsNotList;
    }

    /**
     * 获取 模版引用的背景
     * @return pictureBackgroundIdsList
     */
    public List<String> getPictureBackgroundIdsList(){
        return this.pictureBackgroundIdsList;
    }

    /**
     * 设置 模版引用的背景
     * @param pictureBackgroundIdsList
     */
    public void setPictureBackgroundIdsList(List<String> pictureBackgroundIdsList){
        this.pictureBackgroundIdsList = pictureBackgroundIdsList;
    }

    /**
     * 获取 模版引用的背景
     * @return pictureBackgroundIdsNotList
     */
    public List<String> getPictureBackgroundIdsNotList(){
        return this.pictureBackgroundIdsNotList;
    }

    /**
     * 设置 模版引用的背景
     * @param pictureBackgroundIdsNotList
     */
    public void setPictureBackgroundIdsNotList(List<String> pictureBackgroundIdsNotList){
        this.pictureBackgroundIdsNotList = pictureBackgroundIdsNotList;
    }

    /**
     * 获取 作品引用的字体
     * @return fontIdsList
     */
    public List<String> getFontIdsList(){
        return this.fontIdsList;
    }

    /**
     * 设置 作品引用的字体
     * @param fontIdsList
     */
    public void setFontIdsList(List<String> fontIdsList){
        this.fontIdsList = fontIdsList;
    }

    /**
     * 获取 作品引用的字体
     * @return fontIdsNotList
     */
    public List<String> getFontIdsNotList(){
        return this.fontIdsNotList;
    }

    /**
     * 设置 作品引用的字体
     * @param fontIdsNotList
     */
    public void setFontIdsNotList(List<String> fontIdsNotList){
        this.fontIdsNotList = fontIdsNotList;
    }

    /**
     * 获取 作品图片预览地址（相对地址）
     * @return previewUrlList
     */
    public List<String> getPreviewUrlList(){
        return this.previewUrlList;
    }

    /**
     * 设置 作品图片预览地址（相对地址）
     * @param previewUrlList
     */
    public void setPreviewUrlList(List<String> previewUrlList){
        this.previewUrlList = previewUrlList;
    }

    /**
     * 获取 作品图片预览地址（相对地址）
     * @return previewUrlNotList
     */
    public List<String> getPreviewUrlNotList(){
        return this.previewUrlNotList;
    }

    /**
     * 设置 作品图片预览地址（相对地址）
     * @param previewUrlNotList
     */
    public void setPreviewUrlNotList(List<String> previewUrlNotList){
        this.previewUrlNotList = previewUrlNotList;
    }

    /**
     * 获取 设计草稿
     * @return draftList
     */
    public List<String> getDraftList(){
        return this.draftList;
    }

    /**
     * 设置 设计草稿
     * @param draftList
     */
    public void setDraftList(List<String> draftList){
        this.draftList = draftList;
    }

    /**
     * 获取 设计草稿
     * @return draftNotList
     */
    public List<String> getDraftNotList(){
        return this.draftNotList;
    }

    /**
     * 设置 设计草稿
     * @param draftNotList
     */
    public void setDraftNotList(List<String> draftNotList){
        this.draftNotList = draftNotList;
    }

    /**
     * 获取 开始 作品类型：1:图片，2:视频
     * @return designTypeStart
     */
    public Integer getDesignTypeStart(){
        return this.designTypeStart;
    }

    /**
     * 设置 开始 作品类型：1:图片，2:视频
     * @param designTypeStart
     */
    public void setDesignTypeStart(Integer designTypeStart){
        this.designTypeStart = designTypeStart;
    }

    /**
     * 获取 结束 作品类型：1:图片，2:视频
     * @return $designTypeEnd
     */
    public Integer getDesignTypeEnd(){
        return this.designTypeEnd;
    }

    /**
     * 设置 结束 作品类型：1:图片，2:视频
     * @param designTypeEnd
     */
    public void setDesignTypeEnd(Integer designTypeEnd){
        this.designTypeEnd = designTypeEnd;
    }

    /**
     * 获取 增加 作品类型：1:图片，2:视频
     * @return designTypeIncrement
     */
    public Integer getDesignTypeIncrement(){
        return this.designTypeIncrement;
    }

    /**
     * 设置 增加 作品类型：1:图片，2:视频
     * @param designTypeIncrement
     */
    public void setDesignTypeIncrement(Integer designTypeIncrement){
        this.designTypeIncrement = designTypeIncrement;
    }

    /**
     * 获取 作品类型：1:图片，2:视频
     * @return designTypeList
     */
    public List<Integer> getDesignTypeList(){
        return this.designTypeList;
    }

    /**
     * 设置 作品类型：1:图片，2:视频
     * @param designTypeList
     */
    public void setDesignTypeList(List<Integer> designTypeList){
        this.designTypeList = designTypeList;
    }

    /**
     * 获取 作品类型：1:图片，2:视频
     * @return designTypeNotList
     */
    public List<Integer> getDesignTypeNotList(){
        return this.designTypeNotList;
    }

    /**
     * 设置 作品类型：1:图片，2:视频
     * @param designTypeNotList
     */
    public void setDesignTypeNotList(List<Integer> designTypeNotList){
        this.designTypeNotList = designTypeNotList;
    }


    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public CustomerWorkDesignQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public CustomerWorkDesignQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public CustomerWorkDesignQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public CustomerWorkDesignQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public CustomerWorkDesignQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public CustomerWorkDesignQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  客户ID
     * @param customerId
     */
    public CustomerWorkDesignQuery customerId(Long customerId){
        setCustomerId(customerId);
        return this;
    }

    /**
     * 设置 开始 客户ID
     * @param customerIdStart
     */
    public CustomerWorkDesignQuery customerIdStart(Long customerIdStart){
        this.customerIdStart = customerIdStart;
        return this;
    }

    /**
     * 设置 结束 客户ID
     * @param customerIdEnd
     */
    public CustomerWorkDesignQuery customerIdEnd(Long customerIdEnd){
        this.customerIdEnd = customerIdEnd;
        return this;
    }

    /**
     * 设置 增加 客户ID
     * @param customerIdIncrement
     */
    public CustomerWorkDesignQuery customerIdIncrement(Long customerIdIncrement){
        this.customerIdIncrement = customerIdIncrement;
        return this;
    }

    /**
     * 设置 客户ID
     * @param customerIdList
     */
    public CustomerWorkDesignQuery customerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
        return this;
    }

    /**
     * 设置 客户ID
     * @param customerIdNotList
     */
    public CustomerWorkDesignQuery customerIdNotList(List<Long> customerIdNotList){
        this.customerIdNotList = customerIdNotList;
        return this;
    }


    /**
     * 设置 作品名称
     * @param workDesignName
     */
    public CustomerWorkDesignQuery workDesignName(String workDesignName){
        setWorkDesignName(workDesignName);
        return this;
    }

    /**
     * 设置 作品名称
     * @param workDesignNameList
     */
    public CustomerWorkDesignQuery workDesignNameList(List<String> workDesignNameList){
        this.workDesignNameList = workDesignNameList;
        return this;
    }

    /**
     * 设置  作品状态：0:草稿，1:发布
     * @param workDesignStatus
     */
    public CustomerWorkDesignQuery workDesignStatus(Integer workDesignStatus){
        setWorkDesignStatus(workDesignStatus);
        return this;
    }

    /**
     * 设置 开始 作品状态：0:草稿，1:发布
     * @param workDesignStatusStart
     */
    public CustomerWorkDesignQuery workDesignStatusStart(Integer workDesignStatusStart){
        this.workDesignStatusStart = workDesignStatusStart;
        return this;
    }

    /**
     * 设置 结束 作品状态：0:草稿，1:发布
     * @param workDesignStatusEnd
     */
    public CustomerWorkDesignQuery workDesignStatusEnd(Integer workDesignStatusEnd){
        this.workDesignStatusEnd = workDesignStatusEnd;
        return this;
    }

    /**
     * 设置 增加 作品状态：0:草稿，1:发布
     * @param workDesignStatusIncrement
     */
    public CustomerWorkDesignQuery workDesignStatusIncrement(Integer workDesignStatusIncrement){
        this.workDesignStatusIncrement = workDesignStatusIncrement;
        return this;
    }

    /**
     * 设置 作品状态：0:草稿，1:发布
     * @param workDesignStatusList
     */
    public CustomerWorkDesignQuery workDesignStatusList(List<Integer> workDesignStatusList){
        this.workDesignStatusList = workDesignStatusList;
        return this;
    }

    /**
     * 设置 作品状态：0:草稿，1:发布
     * @param workDesignStatusNotList
     */
    public CustomerWorkDesignQuery workDesignStatusNotList(List<Integer> workDesignStatusNotList){
        this.workDesignStatusNotList = workDesignStatusNotList;
        return this;
    }


    /**
     * 设置 作品描述
     * @param workDesignDesc
     */
    public CustomerWorkDesignQuery workDesignDesc(String workDesignDesc){
        setWorkDesignDesc(workDesignDesc);
        return this;
    }

    /**
     * 设置 作品描述
     * @param workDesignDescList
     */
    public CustomerWorkDesignQuery workDesignDescList(List<String> workDesignDescList){
        this.workDesignDescList = workDesignDescList;
        return this;
    }




    /**
     * 设置 模版引用的图片
     * @param pictureIds
     */
    public CustomerWorkDesignQuery pictureIds(String pictureIds){
        setPictureIds(pictureIds);
        return this;
    }

    /**
     * 设置 模版引用的图片
     * @param pictureIdsList
     */
    public CustomerWorkDesignQuery pictureIdsList(List<String> pictureIdsList){
        this.pictureIdsList = pictureIdsList;
        return this;
    }


    /**
     * 设置 模版引用的素材
     * @param pictureSrcIds
     */
    public CustomerWorkDesignQuery pictureSrcIds(String pictureSrcIds){
        setPictureSrcIds(pictureSrcIds);
        return this;
    }

    /**
     * 设置 模版引用的素材
     * @param pictureSrcIdsList
     */
    public CustomerWorkDesignQuery pictureSrcIdsList(List<String> pictureSrcIdsList){
        this.pictureSrcIdsList = pictureSrcIdsList;
        return this;
    }


    /**
     * 设置 模版引用的背景
     * @param pictureBackgroundIds
     */
    public CustomerWorkDesignQuery pictureBackgroundIds(String pictureBackgroundIds){
        setPictureBackgroundIds(pictureBackgroundIds);
        return this;
    }

    /**
     * 设置 模版引用的背景
     * @param pictureBackgroundIdsList
     */
    public CustomerWorkDesignQuery pictureBackgroundIdsList(List<String> pictureBackgroundIdsList){
        this.pictureBackgroundIdsList = pictureBackgroundIdsList;
        return this;
    }


    /**
     * 设置 作品引用的字体
     * @param fontIds
     */
    public CustomerWorkDesignQuery fontIds(String fontIds){
        setFontIds(fontIds);
        return this;
    }

    /**
     * 设置 作品引用的字体
     * @param fontIdsList
     */
    public CustomerWorkDesignQuery fontIdsList(List<String> fontIdsList){
        this.fontIdsList = fontIdsList;
        return this;
    }


    /**
     * 设置 作品图片预览地址（相对地址）
     * @param previewUrl
     */
    public CustomerWorkDesignQuery previewUrl(String previewUrl){
        setPreviewUrl(previewUrl);
        return this;
    }

    /**
     * 设置 作品图片预览地址（相对地址）
     * @param previewUrlList
     */
    public CustomerWorkDesignQuery previewUrlList(List<String> previewUrlList){
        this.previewUrlList = previewUrlList;
        return this;
    }


    /**
     * 设置 设计草稿
     * @param draft
     */
    public CustomerWorkDesignQuery draft(String draft){
        setDraft(draft);
        return this;
    }

    /**
     * 设置 设计草稿
     * @param draftList
     */
    public CustomerWorkDesignQuery draftList(List<String> draftList){
        this.draftList = draftList;
        return this;
    }

    /**
     * 设置  作品类型：1:图片，2:视频
     * @param designType
     */
    public CustomerWorkDesignQuery designType(Integer designType){
        setDesignType(designType);
        return this;
    }

    /**
     * 设置 开始 作品类型：1:图片，2:视频
     * @param designTypeStart
     */
    public CustomerWorkDesignQuery designTypeStart(Integer designTypeStart){
        this.designTypeStart = designTypeStart;
        return this;
    }

    /**
     * 设置 结束 作品类型：1:图片，2:视频
     * @param designTypeEnd
     */
    public CustomerWorkDesignQuery designTypeEnd(Integer designTypeEnd){
        this.designTypeEnd = designTypeEnd;
        return this;
    }

    /**
     * 设置 增加 作品类型：1:图片，2:视频
     * @param designTypeIncrement
     */
    public CustomerWorkDesignQuery designTypeIncrement(Integer designTypeIncrement){
        this.designTypeIncrement = designTypeIncrement;
        return this;
    }

    /**
     * 设置 作品类型：1:图片，2:视频
     * @param designTypeList
     */
    public CustomerWorkDesignQuery designTypeList(List<Integer> designTypeList){
        this.designTypeList = designTypeList;
        return this;
    }

    /**
     * 设置 作品类型：1:图片，2:视频
     * @param designTypeNotList
     */
    public CustomerWorkDesignQuery designTypeNotList(List<Integer> designTypeNotList){
        this.designTypeNotList = designTypeNotList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<CustomerWorkDesignQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<CustomerWorkDesignQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<CustomerWorkDesignQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<CustomerWorkDesignQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}