package com.mortals.xhx.module.question.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.question.model.QuestionEntity;
/**
* QuestionService
*
* 问答信息 service接口
*
* @author zxfei
* @date 2022-06-28
*/
public interface QuestionService extends ICRUDService<QuestionEntity,Long>{

    /**
     * 问题评价
     * @param entity
     * @param context
     * @return
     * @throws AppException
     */
    QuestionEntity evaluate(QuestionEntity entity, Context context) throws AppException;
}